pcl::outofcore::OutofcoreAbstractNodeContainer< PointT > Class Template Referenceabstract

`#include <pcl/outofcore/octree_abstract_node_container.h>`

Inheritance diagram for pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >:

## Public Types

typedef std::vector< PointT, Eigen::aligned_allocator< PointT > > | AlignedPointTVector

## Public Member Functions

| OutofcoreAbstractNodeContainer ()
| OutofcoreAbstractNodeContainer (const boost::filesystem::path &)
virtual | ~OutofcoreAbstractNodeContainer ()
virtual void | insertRange (const PointT *start, const uint64_t count)=0
virtual void | insertRange (const PointT *const *start, const uint64_t count)=0
virtual void | readRange (const uint64_t start, const uint64_t count, AlignedPointTVector &v)=0
virtual void | readRangeSubSample (const uint64_t start, const uint64_t count, const double percent, AlignedPointTVector &v)=0
virtual bool | empty () const =0
virtual uint64_t | size () const =0
virtual void | clear ()=0
virtual void | convertToXYZ (const boost::filesystem::path &path)=0
virtual PointT | operator[] (uint64_t idx) const =0

## Protected Member Functions

| OutofcoreAbstractNodeContainer (const OutofcoreAbstractNodeContainer &rval)

## Protected Attributes

AlignedPointTVector | container_

## Static Protected Attributes

static boost::mutex | rng_mutex_
static boost::mt19937 | rand_gen_

## Detailed Description

### template<typename PointT>
class pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >

Definition at line 52 of file octree_abstract_node_container.h.

## Member Typedef Documentation

## AlignedPointTVector

template<typename PointT>

typedef std::vector<PointT, Eigen::aligned_allocator<PointT> > pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::AlignedPointTVector

Definition at line 56 of file octree_abstract_node_container.h.

## Constructor & Destructor Documentation

## OutofcoreAbstractNodeContainer() [1/3]

template<typename PointT>

pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::OutofcoreAbstractNodeContainer | ( |  | ) |

inline

Definition at line 58 of file octree_abstract_node_container.h.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## OutofcoreAbstractNodeContainer() [2/3]

template<typename PointT>

pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::OutofcoreAbstractNodeContainer | ( | const boost::filesystem::path & |  | ) |

inline

Definition at line 62 of file octree_abstract_node_container.h.

## ~OutofcoreAbstractNodeContainer()

template<typename PointT>

virtual pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer | ( |  | ) |

inline virtual

Definition at line 65 of file octree_abstract_node_container.h.

References pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::clear(), pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::convertToXYZ(), pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::empty(), pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::insertRange(), pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::operator[](), pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::OutofcoreAbstractNodeContainer(), pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::readRange(), pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::readRangeSubSample(), and pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::size().

## OutofcoreAbstractNodeContainer() [3/3]

template<typename PointT>

pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::OutofcoreAbstractNodeContainer | ( | const OutofcoreAbstractNodeContainer< PointT > & | rval | ) |

protected

## Member Function Documentation

## clear()

template<typename PointT>

virtual void pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::clear | ( |  | ) |

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## convertToXYZ()

template<typename PointT>

virtual void pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::convertToXYZ | ( | const boost::filesystem::path & | path | ) |

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## empty()

template<typename PointT>

virtual bool pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::empty | ( |  | ) | const

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## insertRange() [1/2]

template<typename PointT>

virtual void pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::insertRange | ( | const PointT * | start,
|  | const uint64_t | count
| ) |  |

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## insertRange() [2/2]

template<typename PointT>

virtual void pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::insertRange | ( | const PointT *const * | start,
|  | const uint64_t | count
| ) |  |

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

## operator[]()

template<typename PointT>

virtual PointT pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::operator[] | ( | uint64_t | idx | ) | const

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeRamContainer< PointT >, and pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## readRange()

template<typename PointT>

virtual void pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::readRange | ( | const uint64_t | start,
|  | const uint64_t | count,
|  | AlignedPointTVector & | v
| ) |  |

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## readRangeSubSample()

template<typename PointT>

virtual void pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::readRangeSubSample | ( | const uint64_t | start,
|  | const uint64_t | count,
|  | const double | percent,
|  | AlignedPointTVector & | v
| ) |  |

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## size()

template<typename PointT>

virtual uint64_t pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::size | ( |  | ) | const

pure virtual

Implemented in pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >, and pcl::outofcore::OutofcoreOctreeRamContainer< PointT >.

Referenced by pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::~OutofcoreAbstractNodeContainer().

## Member Data Documentation

## container_

template<typename PointT>

AlignedPointTVector pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::container_

protected

Definition at line 97 of file octree_abstract_node_container.h.

## rand_gen_

template<typename PointT>

boost::mt19937 pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::rand_gen_

static protected

Definition at line 100 of file octree_abstract_node_container.h.

## rng_mutex_

template<typename PointT>

boost::mutex pcl::outofcore::OutofcoreAbstractNodeContainer< PointT >::rng_mutex_

static protected

Definition at line 99 of file octree_abstract_node_container.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/outofcore/include/pcl/outofcore/octree_abstract_node_container.h